<f:if condition="{is_bgform}">
    <p class="tx-drk-courseregistrationform-txt-gray">Gebühren für BG-Teilnehmer werden von BG/Unfallkasse
        übernommen.</p>
</f:if>
<header class="header">
    <h3 class="o-form__section-headline">Firmendaten</h3>
</header>
<f:if condition="{renderMandatory}">
    <f:render arguments="{isCompany: 1}" partial="CourseregistrationForm/MandatoryHint"/>
</f:if>
<div class="o-form__item-group">
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="firma_{is_bgform}" name="firma"
                          required="required"
                          value="" tabindex="1"/>
        <label class="o-form__label" for="firma_{is_bgform}">Firma<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="strasse_{is_bgform}" name="strasse"
                          required="required"
                          value="" tabindex="2"/>
        <label class="o-form__label" for="strasse_{is_bgform}">Straße / Nr.<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-4 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="plz_{is_bgform}" name="plz"
                          required="required" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"
                          value="" tabindex="3"/>
        <label class="o-form__label" for="plz_{is_bgform}">PLZ<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-20 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="ort_{is_bgform}" name="ort"
                          title="Stadt fehlt!" tabindex="4"
                          value=""/>
        <label class="o-form__label" for="ort_{is_bgform}">Stadt<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="company_email_{is_bgform}" name="company_email"
                          value="" tabindex="5"/>
        <label class="o-form__label" for="company_email_{is_bgform}">Mail</label>
    </div>
    <f:if condition="{is_bgform}">
        <f:then>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="company_bg_number" name="company_bg_number"
                                  required="{f:if(condition: settings.Required.company_bg_number, then: 'required')}"
                                  value="" tabindex="6"/>
                <label class="o-form__label" for="company_bg_number">Unternehmensnr.
                    <f:if condition="{settings.Required.company_bg_number}"><span class="must">*</span></f:if>
                </label>
            </div>
            <f:if condition="{aCourseData.payers}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <label class="o-form__label o-form__label--select" for="company_payers">Kostenträger auswählen
                        <span class="must">*</span>
                    </label>
                    <f:form.select class="o-form__field o-form__field--select required" id="company_payers"
                                   name="company_payers" options="{aCourseData.payers}" tabindex="7"
                                   required="required"
                    />
                </div>
                <p class="tx-drk-courseregistrationform-txt-gray">
                    Die Gebühren werden der Firma berechnet.<br/>
                    <strong>Achtung:</strong> Wenn die Abrechnung über eine Berufsgenossenschaft / Unfallkasse erfolgen
                    soll,
                    dann müssen Sie die jeweilige BG/UK Ihrer Firma hier als Kostenträger auswählen!
                </p>
            </f:if>
        </f:then>
    </f:if>
</div>

<div class="o-form__item-group">
    <header class="header">
        <h3 class="o-form__section-headline">Ansprechpartner in Ihrer Firma</h3>
    </header>
    <div class="o-form__item t-medium-12 columns">
        <label class="o-form__label o-form__label--select" for="anrede_{is_bgform}">Anrede</label>
        <f:form.select class="o-form__field o-form__field--select" id="anrede_{is_bgform}" name="contact_anrede"
                       options="{prefix_array}" tabindex="8"/>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <label class="o-form__label o-form__label--select" for="titel_{is_bgform}">Titel</label>
        <f:form.select class="o-form__field o-form__field--select" id="titel_{is_bgform}" name="contact_titel"
                       options="{title_array}" tabindex="9"/>
    </div>
    <div class="o-form__item t-medium-12 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="vorname_{is_bgform}" name="contact_vorname"
                          required="required" tabindex="10"
                          value=""/>
        <label class="o-form__label" for="vorname_{is_bgform}">Vorname<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="name_{is_bgform}" name="contact_name"
                          required="required" tabindex="11"
                          value=""/>
        <label class="o-form__label" for="name_{is_bgform}">Nachname<span class="must">*</span></label>
        <f:form.textfield id="birthname_{is_bgform}" value="" name="contact_birthname" class="o-form__field o-form__field--text o-form__contact_birthname" tabindex="-1" additionalAttributes="{autocomplete: 'off', aria-hidden: 'true'}"/>
    </div>
    <f:if condition="{aShowFields.Phone}">
        <f:if condition="{settings.Required.telefon}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="phone_{is_bgform}" name="contact_phone"
                                      required="required" tabindex="12" type="tel"
                                      value="" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="phone_{is_bgform}">Telefon<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="phone_{is_bgform}" name="contact_phone"
                                      value="" tabindex="12" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="phone_{is_bgform}">Telefon</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{aShowFields.Mobile}">
        <f:if condition="{settings.Required.mobile}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="mobile_{is_bgform}" name="contact_mobile"
                                      required="required" title="Mobilnummer fehlt!" type="tel"
                                      value="" tabindex="13" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="mobile_{is_bgform}">Mobil<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="mobile_{is_bgform}" name="contact_mobile"
                                      value="" tabindex="13" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="mobile_{is_bgform}">Mobil</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="email_{is_bgform}" name="contact_email"
                          required="required" type="email"
                          value="" tabindex="14"/>
        <label class="o-form__label" for="email_{is_bgform}">Mail
            <f:if condition="{settings.Required.email}"><span class="must">*</span></f:if>
        </label>
    </div>
</div>
<header class="header">
    <h3 class="o-form__section-headline">Teilnehmerdaten</h3>
</header>
<p>Teilnehmeranmeldung für {aCourseData.service_desc}</p>

<f:for as="sub_num" each="{number_subscriber}" iteration="sub_iterator">
    <details <f:if condition="{sub_iterator.isFirst}">open</f:if>>
        <summary>
            {sub_iterator.cycle}. Teilnehmer
        </summary>
        <div class="o-form__item-group subscriber">
            <div class="o-form__item t-medium-5 columns">
                <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_anrede_{is_bgform}"
                               name="sub[{sub_num}][anrede]" options="{prefix_array}"/>
                <label class="o-form__label" for="sub{sub_num}_anrede_{is_bgform}">Anrede</label>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_vorname_{is_bgform}" name="sub[{sub_num}][vorname]"
                                  value=""/>
                <label class="o-form__label" for="sub{sub_num}_vorname_{is_bgform}">Vorname</label>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_name_{is_bgform}" name="sub[{sub_num}][name]"
                                  value=""/>
                <label class="o-form__label" for="sub{sub_num}_name_{is_bgform}">Nachname</label>
            </div>
            <f:if condition="{aShowFields.cBirthday}">
                <f:then>
                    <f:if condition="{0: settings.requireCompanyBirthdayField, 2: sub_num} == {0: '1', 2: 0}">
                        <f:then>
                            <div class="o-form__item t-medium-5 columns is-last-in-row">
                                <f:form.textfield class="date o-form__field o-form__field--text" id="sub{sub_num}_geburtsdatum_{is_bgform}"
                                                  name="sub[{sub_num}][geburtsdatum]" required="required"
                                                  type="date" data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                                <label class="o-form__label" for="sub{sub_num}_geburtsdatum_{is_bgform}">Geburtstag<span class="must">*</span></label>
                            </div>
                        </f:then>
                        <f:else>
                            <div class="o-form__item t-medium-5 columns is-last-in-row">
                                <f:form.textfield class="date o-form__field o-form__field--text" id="sub{sub_num}_geburtsdatum_{is_bgform}"
                                                  name="sub[{sub_num}][geburtsdatum]"
                                                  type="date" data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                                <label class="o-form__label" for="sub{sub_num}_geburtsdatum_{is_bgform}">Geburtstag</label>
                            </div>
                        </f:else>
                    </f:if>
                </f:then>
                <f:else>
                    <div class="o-form__item t-medium-5 columns is-last-in-row">
                        &nbsp;
                    </div>
                </f:else>
            </f:if>
            <f:if condition="{aShowFields.SubscriberAddress}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_strasse_{is_bgform}"
                                      name="sub[{sub_num}][strasse]"/>
                    <label class="o-form__label" for="sub{sub_num}_strasse_{is_bgform}">Strasse</label>
                </div>
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_plz_{is_bgform}"
                                      name="sub[{sub_num}][plz]" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
                    <label class="o-form__label" for="sub{sub_num}_plz_{is_bgform}">PLZ</label>
                </div>
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_ort_{is_bgform}"
                                      name="sub[{sub_num}][ort]"/>
                    <label class="o-form__label" for="sub{sub_num}_ort_{is_bgform}">Stadt</label>
                </div>
            </f:if>
            <f:if condition="{aShowFields.Mail}">
                <f:if condition="{0: settings.Required.company_subscriber_mail, 2: sub_num} == {0: '1', 2: 0}">
                    <f:then>
                        <div class="o-form__item t-medium-8 columns">
                            <f:form.textfield class="o-form__field o-form__field--text sub-mail" id="sub{sub_num}_email_{is_bgform}" required="required"
                                              name="sub[{sub_num}][email]" type="email"/>
                            <label class="o-form__label" for="sub{sub_num}_email_{is_bgform}">Mail<span class="must">*</span></label>
                        </div>
                    </f:then>
                    <f:else>
                        <div class="o-form__item t-medium-8 columns">
                            <f:form.textfield class="o-form__field o-form__field--text sub-mail" id="sub{sub_num}_email_{is_bgform}"
                                              name="sub[{sub_num}][email]" type="email"/>
                            <label class="o-form__label" for="sub{sub_num}_email_{is_bgform}">Mail</label>
                        </div>
                    </f:else>
                </f:if>
            </f:if>
            <f:if condition="{aShowFields.Phone}">
                <div class="o-form__item t-medium-8 columns">
                    <f:form.textfield class="o-form__field o-form__field--text sub-phone" id="sub{sub_num}_phone_{is_bgform}"
                                      name="sub[{sub_num}][phone]" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="sub{sub_num}_phone_{is_bgform}">Telefon</label>
                </div>
            </f:if>
            <f:if condition="{aShowFields.Mobile}">
                <div class="o-form__item t-medium-8 columns  is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text sub-mobile" id="sub{sub_num}_mobile_{is_bgform}"
                                      name="sub[{sub_num}][mobile]" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="sub{sub_num}_mobile_{is_bgform}">Mobil</label>
                </div>
            </f:if>
        </div>
    </details>
</f:for>
<f:if condition="{settings.requireCompanyBirthdayField}">
    <f:form.hidden name="requireCompanyBirthdayField" id="requireCompanyBirthdayField" value="{settings.requireCompanyBirthdayField}"/>
</f:if>
<f:if condition="{settings.Required.company_subscriber_mail}">
    <f:form.hidden name="requireCompanyMailField" id="requireCompanyMailField" value="{settings.Required.company_subscriber_mail}"/>
</f:if>
